module ActiveQuery
	module DataAdapters
    require_relative "adapter_base"

		class PostgresqlAdapter < AdapterBase

      def self.open(params)
        begin 
          conn = PG::connect(params)
          return conn unless block_given?
          yield(conn)
        rescue PG::Error => err
          $stderr.puts "%p PgConn::open: %s" % [ err.class, err.message ]
          conn.reset if conn   
        ensure
          conn.close if conn
        end
      end
		end #PostgresqlAdapter

	end
end