namespace :test do
  
  desc "Run unit tests"
  Rake::TestTask.new(:unit) do |t|
    t.libs << "test"
    t.libs << "lib"
    t.test_files = FileList["test/*_test.rb"]
  end

  desc "Run system tests"
  Rake::TestTask.new(:system) do |t|
    t.libs << "test"
    t.libs << "lib"
    t.test_files = FileList["test/system/*_test.rb"]
  end

  desc "Run integration tests"
  Rake::TestTask.new(:integration) do |t|
    t.libs << "test"
    t.libs << "lib"
    t.test_files = FileList["test/integration/*_test.rb"]
  end

  desc "Run benchmark"
  Rake::TestTask.new(:bench) do |t|
    t.libs << "test"
    t.libs << "lib"
    t.test_files = FileList["test/benchmark/*_bench.rb"]
  end

end