module ActiveQuery
  class Configuration
    attr_accessor :template_path, :adapter, :connection

    def initialize(options = {}, &block)
      @template_path = ""
      @adapter = ""
      @connection = ""
      options.each { |k,v| send("#{k}=", v) }
      instance_eval(&block) if block_given?
    end

  end
end